{
    template: '${tmpl}',
        model: {
        prop: "value",
            event: "change"
    },
    props: ["title"],
        data: function () {
            return {
                showLargePic: false,
                largePicUrl: "",
                dialogFormVisible: false,
                logo: "",
                qianru: true,
                a: true,
                b: false,
                c: false,
                c2: false,
                c3: false,
                d: false,
                e: false,
                f: false,
                g: false,
                h: false,
                x: false,
                fff: false,
                xssb_no_ncl: false,
                jqcx_no_ncl: false,
                zcr_no_ncl: false,
                img: false,
                fuwu: false,
                fkey: 0,
                xkey: 0,
                total: 0,
                size: 20,
                page: 1,
                mark: "",
                xssb: "",
                jqcx: "",
                zch: "",
                zcr: "",
                nclfuwu: "",
                nclfuwudata: [],
                activeName: 'second',
                tabPosition: 'top',
                tabPosition2: 'bottom',
                tmdata: {},
                imagecount: "0",
                imageupurl: "",
                tmRegistNums: [],
                queryimagedata: [],
                querydata: [],
                xssb_unregistered_Ncl: [],
                jqcx_unregistered_Ncl: [],
                zcr_unregistered_Ncl: [],
                tmRegistNumsAll: [],
                sqlbdata: [],
                flztdata: [],
                sqnfdata: [],
                namedata: [],
                imagesqlbdata: [],
                imageflztdata: [],
                imagesqnfdata: [],
                sqlbtab: "",
                sqlbtabkey: "",
                sqlbtabkeycount: "",
                sqlbnumber: "",
                sqlbindex: 0,
                flzttab: "",
                flzttabkey: "",
                flzttabkeycount: "",
                flztnumber: "",
                flztindex: 0,
                sqnftabkey: "",
                sqnftabkeycount: "",
                sqnfnumber: "",
                nametab: false,
                nametabkey: "",
                namenumber: "",
                sqnfindex: 0,
                select: "",
                nclOptions: ["01类 化学原料", "02类 颜料油漆", "03类 日化用品", "04类 燃料油脂", "05类 医药", "06类 金属材料", "07类 机械设备", "08类 手工器械", "09类 科学仪器",
                    "10类 医疗器械", "11类 灯具空调", "12类 运输工具", "13类 军火烟火", "14类 珠宝钟表", "15类 乐器", "16类 办公用品", "17类 橡胶制品", "18类 皮革皮具", "19类 建筑材料", "20类 家具", "21类 厨房洁具", "22类 绳网袋蓬", "23类 纱线丝", "24类 布料床单",
                    "25类 服装鞋帽", "26类 钮扣拉链", "27类 地毯席垫", "28类 健身器材", "29类 食品", "30类 方便食品", "31类 农林生鲜", "32类 啤酒饮料", "33类 酒", "34类 烟草烟具", "35类 广告销售", "36类 金融物管", "37类 建筑修理", "38类 通讯服务",
                    "39类 运输贮藏", "40类 材料加工", "41类 教育娱乐", "42类 科技服务", "43类 餐饮住宿", "44类 医疗园艺", "45类 社会服务"
                ],
                checkAll: false,
                checkxAll: true,
                checkedNcl: [],
                checkedXcl: [],
                ncl: ["01类 化学原料", "02类 颜料油漆", "03类 日化用品", "04类 燃料油脂", "05类 医药", "06类 金属材料", "07类 机械设备", "08类 手工器械", "09类 科学仪器",
                    "10类 医疗器械", "11类 灯具空调", "12类 运输工具", "13类 军火烟火", "14类 珠宝钟表", "15类 乐器", "16类 办公用品", "17类 橡胶制品", "18类 皮革皮具", "19类 建筑材料", "20类 家具", "21类 厨房洁具", "22类 绳网袋蓬", "23类 纱线丝", "24类 布料床单",
                    "25类 服装鞋帽", "26类 钮扣拉链", "27类 地毯席垫", "28类 健身器材", "29类 食品", "30类 方便食品", "31类 农林生鲜", "32类 啤酒饮料", "33类 酒", "34类 烟草烟具", "35类 广告销售", "36类 金融物管", "37类 建筑修理", "38类 通讯服务",
                    "39类 运输贮藏", "40类 材料加工", "41类 教育娱乐", "42类 科技服务", "43类 餐饮住宿", "44类 医疗园艺", "45类 社会服务"
                ],
                nclOptionNumbers: [
                    "01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20", "21", "22", "23", "24",
                    "25", "26", "27", "28", "29", "30", "31", "32", "33", "34", "35", "36", "37", "38", "39", "40", "41", "42", "43", "44", "45"
                ],
                nclNum: [
                    "01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20", "21", "22", "23", "24",
                    "25", "26", "27", "28", "29", "30", "31", "32", "33", "34", "35", "36", "37", "38", "39", "40", "41", "42", "43", "44", "45"
                ],
                checkAllNclNum: false,
                checkedNclNum: [],
                isnumIndeterminate: false,
                xcl: [],
                xclOptions: [],
                isIndeterminate: false,
                isXIndeterminate: false,
                sbtjOptions: ["近似", "变字", "拼音", "同义词", "形近字", "换序", "包含该商标"],
                checkAllSbtj: true,
                checkedSbtj: ["近似", "变字", "拼音", "同义词", "形近字", "换序", "包含该商标"],
                sbtj: ["近似", "变字", "拼音", "同义词", "形近字", "换序", "包含该商标"],
                isIndeterminateSbtj: false,
                action: "",
                imagedata: {},
                imageUrl: "",
                filename: "",
                disabled: true,
                downdisabled: true,
                accept: "image/jpeg,image/png",
                tag: { name: '', type: '' },
                downloadTimes: 1, /* 设置检查重试次数变量 */
                exportColumnDialog: false, /* */
                code: '', /* 下载文件的code值 */
                headers: [],
                allColumns: [],
                exportColumns: [],
                downloading: false,
                restaurants: [],
                aitmrate: false,
                bradata: {},
                ainclonerate: [],
                detaildata: "",
                nclexist: [],
                nclnotexist: [],
                user: "",
                sbmc: "",
                linkurl: "",
                showMask: false,
                companyInfo: {},
                tmmonitzcr: '',
                tminput: '',
                showZnfx: false,
                znfxUrl: "",
                znfxResultUrl: "",
                zuixinshouli: "",
                zuixinchushen: "",
                zuixinxiazheng: "",
                title: this.title,
                model: false,
                modelSrc: "",
                crap: false,
                previews: {},
                lists: [],
                option: {
                    img: "",
                    size: 1,
                    full: false,
                    outputType: "png",
                    canMove: true,
                    fixedBox: false,
                    fixed: true,
                    original: false,
                    canMoveBox: true,
                    autoCropWidth: "",
                    autoCropHeight: "",
                    autoCrop: true,
                    centerBox: true,
                    high: true
                },
                show: false,
                picName: "",
                resultVal: '',
                dialogTableVisible: false,
                rowName: '',
                rowLinkUrl: ''
            };
        },
    created: function() {
        $('#app').scrollTop(0);
        $("#byctitle").text("标眼查");
        var url = window.location.href;
        if (url.indexOf("openbycsearch") >= 0) {
            this.qianru = false;
        }
        /*页面加载时使用*/
        console.log(this.$route.query);
        this.tmmonitzcr = this.$router.history.current.query.tmmonitzcr;
        if (this.tmmonitzcr) {
            this.mark = this.tmmonitzcr;
            this.a = false;
            this.b = true;
            this.c3 = true;
            this.d = true;
            this.e = true;
            this.g = false;
            this.h = true;
            this.activeName = "fourth";
            if (this.activeName == "fourth") {
                this.e = true;
                this.d = true;
                this.g = false;
                this.h = true;
                this.c = false;
                this.c2 = false;
                this.c3 = true;
                this.nametab = true;
                this.zcr_no_ncl = false;
                this.jqcx_no_ncl = false;
                this.xssb_no_ncl = false;
                this.x = false;
                this.img = false;
                this.fuwu = false;
                this.detaildata = "";
                if (this.mark != "") {
                    this.zcrsearchClick();
                } else {
                    this.sqlbdata = [];
                    this.flztdata = [];
                    this.sqnfdata = [];
                    this.namedata = [];
                    this.sqlbtab = "";
                    this.flzttab = "";
                    this.sqnftabkey = "";
                    this.nametabkey = "";
                    this.total = 0;
                    this.querydata = [];
                }
            }
        }
        console.log(this.$router.history.current.query);
        this.tminput = this.$router.history.current.query.tminput;
        if (this.tminput) {
            console.log(this.tminput);
            this.checkedNcl = JSON.parse(this.$router.history.current.query.checkedNcl);
            console.log(this.checkedNcl, '+++++++++++++++++++++++++++++++++++++++');
            this.mark = decodeURIComponent(this.tminput);
            this.indexsearch();
        }
    },
    methods: {
        resultEnter(val) {
            this.resultVal = val;
        },
        resultlEave() {
            this.resultVal = '';
        },
        showLargeTm(url){
            if (url) {
                this.showLargePic = true;
                this.largePicUrl = url;
            }
        },
        znfxUploadsuccess(obj){
            var that = this;
            console.log("znfxUploadsuccess");
            console.log(obj);
            this.znfxUrl = obj.result;
        },
        znfxError(e){
            console.log("znfxError");
            console.log(e);
        },
        znfx(){
            this.$root.showMask();
            var url = this.znfxUrl;
            var that = this;
            if (url) {
                var obj = { url: url };
                var obj = this.$root.copyParams(obj, "bycznfx", "/action/tmQuery/springBoard");
                this.$root.postReq("/web/trademark/tmqueryCtl/doPost", obj).then(function (d) {
                    console.log(d);
                    if (d && d.status == 0) {
                        that.znfxResultUrl = d.data.url;

                    } else {
                        that.$message.warning(d.msg);
                    }
                    that.$root.hideMask();
                }).catch(function (e) {
                    console.log(e);
                    that.$root.hideMask();
                })
            }
        },
        showznfx(){
            this.znfxResultUrl = "";
            this.znfxUrl = "",
                this.showZnfx = true;
        },
        hideZnfx(){
            this.showZnfx = false;
        },
        tableHeaderColor({ row, column, rowIndex, columnIndex }){
            if (rowIndex === 0) {
                return 'background: #F1F8FE;color:#333333;text-align:center'
            }
        },
        tableHeaderColor1({ row, column, rowIndex, columnIndex }){
            if (rowIndex === 0) {
                return 'background: #F1F8FE;'
            }
        },
        tableRowStyle({ row, rowIndex }) {
            return 'height:50px;text-align:center'
        },
        changedatashow1()
        {
            this.c = true;
            this.c2 = false;
            this.c3 = false;
        }
    ,
        changedatashow2()
        {
            this.c = false;
            this.c2 = true;
            this.c3 = false;
        }
    ,
        changedatashow3()
        {
            this.c = false;
            this.c2 = false;
            this.c3 = true;
            if (this.querydata.length > 0) {
                this.handle2(this.querydata[0]);
            } else {
                this.detaildata = "";
            }
        }
    ,
        sqrclick(val) {

        },
        sqlbclick(val)
        {
            this.sqlbtab = val.keyvalue;
            this.sqlbtabkey = val.key;
            this.sqlbnumber = val.key;
            console.log('----------------sqlb------------------');
            console.log(val);
            var obj = {
                code: val.key
            };
            var that = this;
            var obj = this.$root.copyParams(obj, "gettwoNcl", "/action/tmQuery/springBoard");
            this.$root.postReq("/web/trademark/tmqueryCtl/doPost", obj).then(function (d) {
                console.log(d.data);
                that.xcl = d.data.rows;
                that.xclOptions = d.data.rows;
                that.checkedXcl = [];
                that.checkxAll = false;
                if (that.activeName == "first") {
                    that.size = 20;
                    that.page = 1;
                    that.xssbsearch();
                }
                if (that.activeName == "second") {
                    that.size = 20;
                    that.page = 1;
                    that.jqcxsearch();
                }
                if (that.activeName == "third") {
                    that.size = 20;
                    that.page = 1;
                    that.zchsearch();
                }
                if (that.activeName == "fourth") {
                    that.size = 20;
                    that.page = 1;
                    that.zcrsearch();
                }
                if (that.activeName == "five") {
                    that.sqlbtabkeycount = val.keycount;
                    that.$refs.flowlayout.$refs.pagerRef.pageInfo.total = val.keycount;
                    that.pageChanged(36, 1);
                }

            });
        }
    ,
        flztclick(val)
        {
            console.log('----------------flzt------------------');
            console.log(val);
            this.flzttab = val.keyvalue;
            this.flzttabkey = val.key;
            this.flztnumber = val.key;
            if (this.activeName == "first") {
                this.size = 20;
                this.page = 1;
                this.xssbsearch();
            }
            if (this.activeName == "second") {
                this.size = 20;
                this.page = 1;
                this.jqcxsearch();
            }
            if (this.activeName == "third") {
                this.size = 20;
                this.page = 1;
                this.zchsearch();
            }
            if (this.activeName == "fourth") {
                this.size = 20;
                this.page = 1;
                this.zcrsearch();
            }
            if (this.activeName == "five") {
                this.flzttabkeycount = val.keycount;
                this.$refs.flowlayout.$refs.pagerRef.pageInfo.total = val.keycount;
                this.pageChanged(36, 1);
            }

        }
    ,
        sqnfclick(val)
        {
            console.log('----------------sqnf------------------');
            console.log(val);
            this.sqnftabkey = String(val.key);
            this.sqnfnumber = val.key;
            console.log(this.sqnfnumber);
            if (this.activeName == "first") {
                this.size = 20;
                this.page = 1;
                this.xssbsearch();
            }
            if (this.activeName == "second") {
                this.size = 20;
                this.page = 1;
                this.jqcxsearch();
            }
            if (this.activeName == "third") {
                this.size = 20;
                this.page = 1;
                this.zchsearch();
            }
            if (this.activeName == "fourth") {
                this.size = 20;
                this.page = 1;
                this.zcrsearch();
            }
            if (this.activeName == "five") {
                this.sqnftabkeycount = val.keycount;
                this.$refs.flowlayout.$refs.pagerRef.pageInfo.total = val.keycount;
                this.pageChanged(36, 1);
            }

        },
        nameclick(val)
        {
            console.log('----------------name------------------');
            console.log(val);
            this.nametabkey = String(val.key);
            this.namenumber = val.key;
            console.log(val);
            if (this.activeName == "fourth") {
                this.size = 20;
                this.page = 1;
                this.zcrsearch();
            }
        },
        sqlbtabClose(tag)
        {
            /*this.dynamicTags.splice(this.dynamicTags.indexOf(tag), 1);*/
            this.sqlbtab = "";
            console.log(this.sqlbtabkey);
            this.sqlbtabkey = "";
            this.x = false;
            this.checkedXcl = [];
            this.sqlbnumber = "";
            if (this.activeName == "first") {
                this.size = 20;
                this.page = 1;
                this.xssbsearch();
            }
            if (this.activeName == "second") {
                this.size = 20;
                this.page = 1;
                this.jqcxsearch();
            }
            if (this.activeName == "third") {
                this.size = 20;
                this.page = 1;
                this.zchsearch();
            }
            if (this.activeName == "fourth") {
                this.size = 20;
                this.page = 1;
                this.zcrsearch();
            }
            if (this.activeName == "five") {
                this.sqlbtabkeycount = "";
                this.imagecount = this.tmRegistNumsAll.length;
                if (this.sqlbtabkey == "" && this.flzttabkey == "" && this.sqnftabkey == "") {
                    this.$refs.flowlayout.$refs.pagerRef.pageInfo.total = this.imagecount;
                }
                if (this.flzttabkey != "" && this.sqnftabkey == "") {
                    this.$refs.flowlayout.$refs.pagerRef.pageInfo.total = this.flzttabkeycount;
                }
                if (this.flzttabkey != "" && this.sqnftabkey != "") {
                    this.$refs.flowlayout.$refs.pagerRef.pageInfo.total = this.sqnftabkeycount;
                }
                if (this.sqlbtabkey == "" && this.flzttabkey != "") {
                    this.$refs.flowlayout.$refs.pagerRef.pageInfo.total = this.sqnftabkeycount;
                }
                this.pageChanged(36, 1);
            }

        }
    ,
        flzttabClose(tag)
        {
            /*this.dynamicTags.splice(this.dynamicTags.indexOf(tag), 1);*/
            this.flzttab = "";
            this.flzttabkey = "";
            this.flztnumber = "";
            if (this.activeName == "first") {
                this.size = 20;
                this.page = 1;
                this.xssbsearch();
            }
            if (this.activeName == "second") {
                this.size = 20;
                this.page = 1;
                this.jqcxsearch();
            }
            if (this.activeName == "third") {
                this.size = 20;
                this.page = 1;
                this.zchsearch();
            }
            if (this.activeName == "fourth") {
                this.size = 20;
                this.page = 1;
                this.zcrsearch();
            }
            if (this.activeName == "five") {
                this.flzttabkeycount = "";
                this.imagecount = this.tmRegistNumsAll.length;
                if (this.sqlbtabkey == "" && this.flzttabkey == "" && this.sqnftabkey == "") {
                    this.$refs.flowlayout.$refs.pagerRef.pageInfo.total = this.imagecount;
                }
                if (this.sqlbtabkey != "" && this.sqnftabkey == "") {
                    this.$refs.flowlayout.$refs.pagerRef.pageInfo.total = this.sqlbtabkeycount;
                }
                if (this.sqlbtabkey != "" && this.sqnftabkey != "") {
                    this.$refs.flowlayout.$refs.pagerRef.pageInfo.total = this.sqnftabkeycount;
                }
                if (this.sqlbtabkey == "" && this.sqnftabkey != "") {
                    this.$refs.flowlayout.$refs.pagerRef.pageInfo.total = this.sqnftabkeycount;
                }
                this.pageChanged(36, 1);
            }

        }
    ,
        sqnftabClose(tag)
        {
            /*this.dynamicTags.splice(this.dynamicTags.indexOf(tag), 1);*/
            this.sqnftabkey = "";
            this.sqnfnumber = "";
            if (this.activeName == "first") {
                this.size = 20;
                this.page = 1;
                this.xssbsearch();
            }
            if (this.activeName == "second") {
                this.size = 20;
                this.page = 1;
                this.jqcxsearch();
            }
            if (this.activeName == "third") {
                this.size = 20;
                this.page = 1;
                this.zchsearch();
            }
            if (this.activeName == "fourth") {
                this.size = 20;
                this.page = 1;
                this.zcrsearch();
            }
            if (this.activeName == "five") {
                this.sqnftabkeycount = "";
                this.imagecount = this.tmRegistNumsAll.length;
                if (this.sqlbtabkey == "" && this.flzttabkey == "" && this.sqnftabkey == "") {
                    this.$refs.flowlayout.$refs.pagerRef.pageInfo.total = this.imagecount;
                }
                if (this.flzttabkey != "" && this.sqlbtabkey == "") {
                    this.$refs.flowlayout.$refs.pagerRef.pageInfo.total = this.flzttabkeycount;
                }
                if (this.flzttabkey != "" && this.sqlbtabkey != "") {
                    this.$refs.flowlayout.$refs.pagerRef.pageInfo.total = this.flzttabkeycount;
                }
                if (this.sqlbtabkey != "" && this.flzttabkey == "") {
                    this.$refs.flowlayout.$refs.pagerRef.pageInfo.total = this.sqlbtabkeycount;
                }
                this.pageChanged(36, 1);
            }

        }
    ,
        nametabClose(tag)
        {
            /*this.dynamicTags.splice(this.dynamicTags.indexOf(tag), 1);*/
            this.nametabkey = "";
            this.namenumber = "";
            if (this.activeName == "fourth") {
                this.size = 20;
                this.page = 1;
                this.zcrsearch();
            }

        }
    ,
        handleClick(tab, event)
        {
            console.log(tab, event);
            console.log('----------------------------------');
            console.log(this.activeName);
            this.sqlbnumber = "";
            this.flztnumber = "";
            this.sqnfnumber = "";
            if (this.activeName == "first") {
                this.e = true;
                this.d = true;
                this.g = true;
                this.h = true;
                this.c = false;
                this.c2 = false;
                this.c3 = true;
                this.nametab = false;
                this.xssb_no_ncl = true;
                this.zcr_no_ncl = false;
                this.jqcx_no_ncl = false;
                this.x = false;
                this.img = false;
                this.fuwu = false;
                this.detaildata = "";
                this.nclexist = [];
                this.nclnotexist = [];
                /*this.checkAllNclNum=false;
                this.isnumIndeterminate=false;
                this.checkedNclNum= [];*/
                if (this.mark != "") {
                    this.xssbsearchClick();
                } else {
                    this.sqlbdata = [];
                    this.flztdata = [];
                    this.sqnfdata = [];
                    this.namedata = [];
                    this.xssb_unregistered_Ncl = [];
                    this.sqlbtab = "";
                    this.flzttab = "";
                    this.sqnftabkey = "";
                    this.nametabkey = "";
                    this.total = 0;
                    this.querydata = [];
                }
            }
            if (this.activeName == "second") {
                this.e = true;
                this.d = true;
                this.g = false;
                this.h = true;
                this.c = false;
                this.c2 = false;
                this.c3 = true;
                this.nametab = false;
                this.jqcx_no_ncl = true;
                this.zcr_no_ncl = false;
                this.xssb_no_ncl = false;
                this.x = false;
                this.img = false;
                this.fuwu = false;
                this.detaildata = "";
                this.nclexist = [];
                this.nclnotexist = [];
                /*this.isnumIndeterminate=false;
                this.checkAllNclNum=false;
                this.checkedNclNum= [];*/
                if (this.mark != "") {
                    this.jqcxsearchClick();
                } else {
                    this.sqlbdata = [];
                    this.flztdata = [];
                    this.sqnfdata = [];
                    this.namedata = [];
                    this.jqcx_unregistered_Ncl = [];
                    this.sqlbtab = "";
                    this.flzttab = "";
                    this.sqnftabkey = "";
                    this.nametabkey = "";
                    this.total = 0;
                    this.querydata = [];
                }
            }
            if (this.activeName == "third") {
                this.e = true;
                this.d = true;
                this.g = false;
                this.h = true;
                this.j = false;
                this.c = false;
                this.c2 = false;
                this.c3 = true;
                this.nametab = false;
                this.jqcx_no_ncl = false;
                this.zcr_no_ncl = false;
                this.xssb_no_ncl = false;
                this.x = false;
                this.img = false;
                this.fuwu = false;
                this.detaildata = "";
                this.nclexist = [];
                this.nclnotexist = [];
                if (this.zch != "") {
                    this.zchsearchClick()
                } else {
                    this.sqlbdata = [];
                    this.flztdata = [];
                    this.sqnfdata = [];
                    this.namedata = [];
                    this.sqlbtab = "";
                    this.flzttab = "";
                    this.sqnftabkey = "";
                    this.nametabkey = "";
                    this.total = 0;
                    this.querydata = [];
                }
            }
            if (this.activeName == "fourth") {
                this.e = true;
                this.d = true;
                this.g = false;
                this.h = true;
                this.c = false;
                this.c2 = false;
                this.c3 = true;
                this.nametab = true;
                this.zcr_no_ncl = false;
                this.jqcx_no_ncl = false;
                this.xssb_no_ncl = false;
                this.x = false;
                this.img = false;
                this.fuwu = false;
                this.detaildata = "";
                this.nclexist = [];
                this.nclnotexist = [];
                if (this.mark != "") {
                    this.zcrsearchClick();
                } else {
                    this.sqlbdata = [];
                    this.flztdata = [];
                    this.sqnfdata = [];
                    this.namedata = [];
                    this.sqlbtab = "";
                    this.flzttab = "";
                    this.sqnftabkey = "";
                    this.nametabkey = "";
                    this.total = 0;
                    this.querydata = [];
                }
            }
            if (this.activeName == "five") {
                this.e = true;
                this.d = true;
                this.g = false;
                this.h = false;
                this.img = true;
                this.c = false;
                this.c2 = false;
                this.c3 = false;
                this.nametab = false;
                this.x = false;
                this.fuwu = false;
                this.zcr_no_ncl = false;
                this.jqcx_no_ncl = false;
                this.xssb_no_ncl = false;
                this.sqlbtab = "";
                this.flzttab = "";
                this.sqnftabkey = "";
                this.nametabkey = "";
                if (this.tmRegistNumsAll.length > 0) {
                    this.sqlbdata = this.imagesqlbdata;
                    this.flztdata = this.imageflztdata;
                    this.sqnfdata = this.imagesqnfdata;
                } else {
                    this.sqlbdata = [];
                    this.flztdata = [];
                    this.sqnfdata = [];
                    this.namedata = [];
                }

            }
            if (this.activeName == "six") {
                this.e = false;
                this.d = false;
                this.g = false;
                this.h = false;
                this.img = false;
                this.c = false;
                this.c2 = false;
                this.c3 = false;
                this.nametab = false;
                this.x = false;
                this.fuwu = true;
                this.zcr_no_ncl = false;
                this.jqcx_no_ncl = false;
                this.xssb_no_ncl = false;
                this.sqlbtab = "";
                this.flzttab = "";
                this.sqnftabkey = "";
                this.nametabkey = "";
                this.total = "";
                if (this.nclfuwu != "") {
                    this.nclFuwusearchClick();
                }
            }

        }
    ,
        handleChange(val)
        {
            console.log(val);
            console.log("00000000000000000000000000000000000000000000");
        }
    ,
        isNull(str)
        {
            if (str == "") return true;
            var regu = "^[ ]+$";
            var re = new RegExp(regu);
            return re.test(str);
        }
    ,
        indexsearch(name)
        {
            if (typeof name == 'string') {
                this.mark = name
            };
            $('#wave-container').css('display', 'none');
            this.aitmrate = false;
            this.ainclonerate = [];
            /*if (this.isNull(this.mark)){
              this.$message.warning("请输入目标");
            }*/
            if (this.isNull(this.mark)) {
                this.$message.warning("请输入目标");
            } else {
                /*this.mark = this.mark.replace(/(^\s*)|(\s*$)/g, "");*/
                this.mark = this.mark.replace(/\s+/g, "");
                this.localstoragesb(this.mark);
                console.log(this.mark);
                var re = /^[0-9]+.?[0-9]*$/;
                if (re.test(this.mark)) {
                    console.log("-----------------");
                    console.log("number");
                    this.activeName = "third";
                    this.zch = this.mark;
                    this.a = false;
                    this.b = true;
                    this.e = true;
                    this.d = true;
                    this.g = false;
                    this.h = true;
                    this.j = false;
                    this.c = false;
                    this.c2 = false;
                    this.c3 = true;
                    this.jqcx_no_ncl = false;
                    this.zcr_no_ncl = false;
                    this.xssb_no_ncl = false;
                    this.x = false;
                    this.img = false;
                    this.fuwu = false;
                    this.detaildata = "";
                    this.nclexist = [];
                    this.nclnotexist = [];
                    this.zchsearchClick();
                } else if (this.mark.indexOf("有限公司") != -1) {
                    console.log("-----------------");
                    console.log("gongsi");
                    this.activeName = "fourth";
                    this.a = false;
                    this.b = true;

                    this.e = true;
                    this.d = true;
                    this.g = false;
                    this.h = true;
                    this.c = false;
                    this.c2 = false;
                    this.c3 = true;
                    this.nametab = true;
                    this.zcr_no_ncl = false;
                    this.jqcx_no_ncl = false;
                    this.xssb_no_ncl = false;
                    this.x = false;
                    this.img = false;
                    this.fuwu = false;
                    this.detaildata = "";
                    this.nclexist = [];
                    this.nclnotexist = [];
                    this.zcrsearchClick();
                } else {
                    var obj =
                    {
                        tmName: this.mark,
                        sqlbtabkey: "",
                        flzttabkey: "",
                        sqnftabkey: "",
                        ncl: this.checkedNcl,
                        xcl: this.checkedXcl,
                        nclNum: [],
                        pageSize: 20,
                        currentPage: 1,
                    }
                        ;
                    var that = this;
                    console.log(obj);
                    const loadingbyc = this.$loading({
                        lock: true,
                        text: 'Loading',
                        spinner: 'el-icon-loading',
                        background: 'rgba(255, 255, 255, 0.7)'
                    });
                    this.jqcx_no_ncl = true;
                    var obj = this.$root.copyParams(obj, "findTrademarkNameAccurate", "/action/tmQuery/springBoard");
                    this.$root.postReq("/web/trademark/tmqueryCtl/doPost", obj).then(function (d) {
                        loadingbyc.close();
                        console.log(d);
                        that.querydata = d.data.rows;
                        that.sqlbdata = d.data.code_counts;
                        that.flztdata = d.data.status_counts;
                        that.sqnfdata = d.data.year_counts;
                        that.jqcx_unregistered_Ncl = d.data.no_code_counts;
                        that.logo = d.data.rows.logo;
                        that.total = d.data.count;
                        if (that.querydata.length > 0) {
                            that.handle2(that.querydata[0]);
                        }
                    }).catch(function (e) {
                        that.$message.warning(`操作失败，请刷新页面后重新操作`);
                    });
                    this.a = false;
                    this.b = true;
                    this.c3 = true;
                    this.d = true;
                    this.e = true;
                    this.g = false;
                    this.h = true;
                }
            }
        }
    ,
        xssbsearchClick()
        { /* 相似查询 */
            if (this.isNull(this.mark)) {
                this.$message.warning("请输入目标");
            } else {
                /*this.checkedSbtj = this.sbtjOptions;
                this.checkAllSbtj = true;*/
                /*this.mark = this.mark.replace(/(^\s*)|(\s*$)/g, "");*/
                this.mark = this.mark.replace(/\s+/g, "");
                var obj =
                {
                    tmName: this.mark,
                    sqlbtabkey: "",
                    flzttabkey: "",
                    sqlbtabkey: "",
                    sqnftabkey: "",
                    pageSize: "20",
                    currentPage: "1",
                    ncl: [],
                    xcl: [],
                    nclNum: this.checkedNclNum,
                    sbtjdata: this.checkedSbtj,
                };
                this.size = 20;
                this.page = 1;
                var that = this;
                const loadingbyc = this.$loading({
                    lock: true,
                    text: 'Loading',
                    spinner: 'el-icon-loading',
                    background: 'rgba(255, 255, 255, 0.7)'
                });
                this.sqlbtab = "";
                this.sqlbtabkey = "";
                this.flzttab = "";
                this.flzttabkey = "";
                this.sqnftabkey = "";
                this.checkedNcl = [];
                this.checkedXcl = [];
                this.sqlbnumber = "";
                this.flztnumber = "";
                this.sqnfnumber = "";
                this.detaildata = "";
                this.nclexist = [];
                this.nclnotexist = [];
                var obj = this.$root.copyParams(obj, "findTrademarkName", "/action/tmQuery/springBoard");
                this.$root.postReq("/web/trademark/tmqueryCtl/doPost", obj).then(function (d) {
                    loadingbyc.close();
                    that.querydata = d.data.rows;
                    that.sqlbdata = d.data.code_counts;
                    that.flztdata = d.data.status_counts;
                    that.sqnfdata = d.data.year_counts;
                    that.xssb_unregistered_Ncl = d.data.no_code_counts;
                    that.logo = d.data.rows.logo;
                    that.total = d.data.count;
                    if (that.c3) {
                        console.log("+++++++++++++++++++++++++++++++++++++++");
                        console.log(that.querydata);
                        if (that.querydata.length > 0) {
                            that.handle2(that.querydata[0]);
                        } else {
                            that.detaildata = "";
                        }
                    }
                }).catch(function (e) {
                    that.$message.warning(`操作失败，请刷新页面后重新操作`);
                });
                this.img = false;
            }
        }
    ,
        xssbsearch()
        { /* 相似查询 */
            if (this.isNull(this.mark)) {
                this.$message.warning("请输入目标");
            } else {
                /*this.mark = this.mark.replace(/(^\s*)|(\s*$)/g, "");*/
                this.mark = this.mark.replace(/\s+/g, "");
                var obj =
                {
                    tmName: this.mark,
                    sqlbtabkey: this.sqlbtabkey,
                    flzttabkey: this.flzttabkey,
                    sqnftabkey: this.sqnftabkey,
                    pageSize: this.size,
                    currentPage: this.page,
                    ncl: this.checkedNcl,
                    xcl: this.checkedXcl,
                    nclNum: this.checkedNclNum,
                    sbtjdata: this.checkedSbtj,
                };
                var that = this;
                console.log(obj);
                const loadingbyc = this.$loading({
                    lock: true,
                    text: 'Loading',
                    spinner: 'el-icon-loading',
                    background: 'rgba(255, 255, 255, 0.7)'
                });
                var obj = this.$root.copyParams(obj, "findTrademarkName", "/action/tmQuery/springBoard");
                this.$root.postReq("/web/trademark/tmqueryCtl/doPost", obj).then(function (d) {
                    loadingbyc.close();
                    that.querydata = d.data.rows;
                    that.sqlbdata = d.data.code_counts;
                    that.flztdata = d.data.status_counts;
                    that.sqnfdata = d.data.year_counts;
                    that.logo = d.data.rows.logo;
                    that.total = d.data.count;
                    if (that.c3) {
                        console.log("+++++++++++++++++++++++++++++++++++++++");
                        console.log(that.querydata);
                        if (that.querydata.length > 0) {
                            that.handle2(that.querydata[0]);
                        } else {
                            that.detaildata = "";
                        }
                    }
                }).catch(function (e) {
                    that.$message.warning(`操作失败，请刷新页面后重新操作`);
                });
            }
        }
    ,
        jqcxsearchClick()
        {
            if (this.isNull(this.mark)) {
                this.$message.warning("请输入目标");
            } else {
                /*this.mark = this.mark.replace(/(^\s*)|(\s*$)/g, "");*/
                this.mark = this.mark.replace(/\s+/g, "");
                var obj =
                {
                    tmName: this.mark,
                    sqlbtabkey: "",
                    flzttabkey: "",
                    sqnftabkey: "",
                    ncl: [],
                    xcl: [],
                    nclNum: this.checkedNclNum,
                    pageSize: "20",
                    currentPage: "1"
                };
                console.log(obj);
                this.size = 20;
                this.page = 1;
                var that = this;
                const loadingbyc = this.$loading({
                    lock: true,
                    text: 'Loading',
                    spinner: 'el-icon-loading',
                    background: 'rgba(255, 255, 255, 0.7)'
                });
                this.sqlbtab = "";
                this.sqlbtabkey = "";
                this.flzttab = "";
                this.flzttabkey = "";
                this.sqnftabkey = "";
                this.checkedNcl = [];
                this.checkedXcl = [];
                this.sqlbnumber = "";
                this.flztnumber = "";
                this.sqnfnumber = "";
                this.detaildata = "";
                this.nclexist = [];
                this.nclnotexist = [];
                var obj = this.$root.copyParams(obj, "findTrademarkNameAccurate", "/action/tmQuery/springBoard");
                this.$root.postReq("/web/trademark/tmqueryCtl/doPost", obj).then(function (d) {
                    loadingbyc.close();
                    that.querydata = d.data.rows;
                    that.sqlbdata = d.data.code_counts;
                    that.flztdata = d.data.status_counts;
                    that.sqnfdata = d.data.year_counts;
                    that.jqcx_unregistered_Ncl = d.data.no_code_counts;
                    that.logo = d.data.rows.logo;
                    that.total = d.data.count;
                    if (that.c3) {
                        console.log("+++++++++++++++++++++++++++++++++++++++");
                        console.log(that.querydata);
                        if (that.querydata.length > 0) {
                            that.handle2(that.querydata[0]);
                        } else {
                            that.detaildata = "";
                        }
                    }
                }).catch(function (e) {
                    that.$message.warning(`操作失败，请刷新页面后重新操作`);
                });
                this.img = false;
            }
        }
    ,
        jqcxsearch()
        {
            if (this.isNull(this.mark)) {
                this.$message.warning("请输入目标");
            } else {
                /*this.mark = this.mark.replace(/(^\s*)|(\s*$)/g, "");*/
                this.mark = this.mark.replace(/\s+/g, "");
                var obj =
                {
                    tmName: this.mark,
                    sqlbtabkey: this.sqlbtabkey,
                    flzttabkey: this.flzttabkey,
                    sqnftabkey: this.sqnftabkey,
                    pageSize: this.size,
                    ncl: this.checkedNcl,
                    xcl: this.checkedXcl,
                    nclNum: this.checkedNclNum,
                    currentPage: this.page
                };
                var that = this;
                console.log(obj);
                const loadingbyc = this.$loading({
                    lock: true,
                    text: 'Loading',
                    spinner: 'el-icon-loading',
                    background: 'rgba(255, 255, 255, 0.7)'
                });
                var obj = this.$root.copyParams(obj, "findTrademarkNameAccurate", "/action/tmQuery/springBoard");
                this.$root.postReq("/web/trademark/tmqueryCtl/doPost", obj).then(function (d) {
                    loadingbyc.close();
                    that.querydata = d.data.rows;
                    that.sqlbdata = d.data.code_counts;
                    that.flztdata = d.data.status_counts;
                    that.sqnfdata = d.data.year_counts;
                    that.logo = d.data.rows.logo;
                    that.total = d.data.count;
                    if (that.c3) {
                        console.log("+++++++++++++++++++++++++++++++++++++++");
                        console.log(that.querydata);
                        if (that.querydata.length > 0) {
                            that.handle2(that.querydata[0]);
                        } else {
                            that.detaildata = "";
                        }
                    }
                }).catch(function (e) {
                    that.$message.warning(`操作失败，请刷新页面后重新操作`);
                });
            }
        }
    ,
        zchsearchClick()
        {
            if (this.zch == "") {
                this.$message.warning("请输入申请号");
            } else {
                /*this.zch = this.zch.replace(/(^\s*)|(\s*$)/g, "");*/
                this.zch = this.zch.replace(/\s+/g, "");
                var obj =
                {
                    regNum: this.zch,
                    sqlbtabkey: "",
                    flzttabkey: "",
                    sqnftabkey: "",
                    xcl: [],
                    pageSize: "20",
                    currentPage: "1"
                };
                this.size = 20;
                this.page = 1;
                var that = this;
                this.sqlbtab = "";
                this.sqlbtabkey = "";
                this.flzttab = "";
                this.flzttabkey = "";
                this.sqnftabkey = "";
                const loadingbyc = this.$loading({
                    lock: true,
                    text: 'Loading',
                    spinner: 'el-icon-loading',
                    background: 'rgba(255, 255, 255, 0.7)'
                });
                this.checkedXcl = [];
                this.sqlbnumber = "";
                this.flztnumber = "";
                this.sqnfnumber = "";
                this.detaildata = "";
                this.nclexist = [];
                this.nclnotexist = [];
                var obj = this.$root.copyParams(obj, "findTrademarkzchAccurate", "/action/tmQuery/springBoard");
                this.$root.postReq("/web/trademark/tmqueryCtl/doPost", obj).then(function (d) {
                    loadingbyc.close();
                    that.querydata = d.data.rows;
                    that.sqlbdata = d.data.code_counts;
                    that.flztdata = d.data.status_counts;
                    that.sqnfdata = d.data.year_counts;
                    that.logo = d.data.rows.logo;
                    that.total = d.data.count;
                    if (that.c3) {
                        console.log("+++++++++++++++++++++++++++++++++++++++");
                        console.log(that.querydata);
                        if (that.querydata.length > 0) {
                            that.handle2(that.querydata[0]);
                        } else {
                            that.detaildata = "";
                        }
                    }
                }).catch(function (e) {
                    that.$message.warning(`操作失败，请刷新页面后重新操作`);
                });
                this.img = false;
            }
        }
    ,
        zchsearch()
        {
            if (this.zch == "") {
                this.$message.warning("请输入申请号");
            } else {
                /*this.zch = this.zch.replace(/(^\s*)|(\s*$)/g, "");*/
                this.zch = this.zch.replace(/\s+/g, "");
                var obj =
                {
                    regNum: this.zch,
                    sqlbtabkey: this.sqlbtabkey,
                    flzttabkey: this.flzttabkey,
                    sqnftabkey: this.sqnftabkey,
                    xcl: this.checkedXcl,
                    pageSize: this.size,
                    currentPage: this.page
                };
                var that = this;
                const loadingbyc = this.$loading({
                    lock: true,
                    text: 'Loading',
                    spinner: 'el-icon-loading',
                    background: 'rgba(255, 255, 255, 0.7)'
                });
                var obj = this.$root.copyParams(obj, "findTrademarkzchAccurate", "/action/tmQuery/springBoard");
                this.$root.postReq("/web/trademark/tmqueryCtl/doPost", obj).then(function (d) {
                    loadingbyc.close();
                    that.querydata = d.data.rows;
                    that.sqlbdata = d.data.code_counts;
                    that.flztdata = d.data.status_counts;
                    that.sqnfdata = d.data.year_counts;
                    that.logo = d.data.rows.logo;
                    that.total = d.data.count;
                    if (that.c3) {
                        console.log("+++++++++++++++++++++++++++++++++++++++");
                        console.log(that.querydata);
                        if (that.querydata.length > 0) {
                            that.handle2(that.querydata[0]);
                        } else {
                            that.detaildata = "";
                        }
                    }
                }).catch(function (e) {
                    that.$message.warning(`操作失败，请刷新页面后重新操作`);
                });
            }
        }
    ,
        zcrsearchClick()
        {
            if (this.isNull(this.mark)) {
                this.$message.warning("请输入目标");
            } else {
                /*this.mark = this.mark.replace(/(^\s*)|(\s*$)/g, "");*/
                this.mark = this.mark.replace(/\s+/g, "");
                var obj =
                {
                    regMan: this.mark,
                    sqlbtabkey: "",
                    flzttabkey: "",
                    sqnftabkey: "",
                    zcrname: "",
                    xcl: [],
                    pageSize: "20",
                    currentPage: "1"
                };
                this.size = 20;
                this.page = 1;
                var that = this;
                this.sqlbtab = "";
                this.sqlbtabkey = "";
                this.flzttab = "";
                this.flzttabkey = "";
                this.zcrname = "";
                this.sqnftabkey = "";
                this.checkedXcl = [];
                this.sqlbnumber = "";
                this.flztnumber = "";
                this.sqnfnumber = "";
                this.detaildata = "";
                this.nametabkey = "";
                this.nclexist = [];
                this.nclnotexist = [];
                const loadingbyc = this.$loading({
                    lock: true,
                    text: 'Loading',
                    spinner: 'el-icon-loading',
                    background: 'rgba(255, 255, 255, 0.7)'
                });
                var obj = this.$root.copyParams(obj, "findTrademarkzcr", "/action/tmQuery/springBoard");
                this.$root.postReq("/web/trademark/tmqueryCtl/doPost", obj).then(function (d) {
                    loadingbyc.close();
                    console.log(d);
                    that.querydata = d.data.rows;
                    that.sqlbdata = d.data.code_counts;
                    that.flztdata = d.data.status_counts;
                    that.sqnfdata = d.data.year_counts;
                    that.namedata = d.data.namecounts;
                    that.zcr_unregistered_Ncl = d.data.no_code_counts;
                    that.logo = d.data.rows.logo;
                    that.total = d.data.count;
                    if (that.c3) {
                        console.log("+++++++++++++++++++++++++++++++++++++++");
                        console.log(that.querydata);
                        if (that.querydata.length > 0) {
                            that.handle2(that.querydata[0]);
                        } else {
                            that.detaildata = "";
                        }
                    }
                }).catch(function (e) {
                    that.$message.warning(`操作失败，请刷新页面后重新操作`);
                });
                this.img = false;
            }
        }
    ,
        zcrsearch()
        {
            if (this.isNull(this.mark)) {
                this.$message.warning("请输入目标");
            } else {
                /*this.mark = this.mark.replace(/(^\s*)|(\s*$)/g, "");*/
                this.mark = this.mark.replace(/\s+/g, "");
                var obj =
                {
                    regMan: this.mark,
                    sqlbtabkey: this.sqlbtabkey,
                    flzttabkey: this.flzttabkey,
                    sqnftabkey: this.sqnftabkey,
                    zcrname: this.nametabkey,
                    xcl: this.checkedXcl,
                    pageSize: this.size,
                    currentPage: this.page
                };
                var that = this;
                const loadingbyc = this.$loading({
                    lock: true,
                    text: 'Loading',
                    spinner: 'el-icon-loading',
                    background: 'rgba(255, 255, 255, 0.7)'
                });
                var obj = this.$root.copyParams(obj, "findTrademarkzcr", "/action/tmQuery/springBoard");
                this.$root.postReq("/web/trademark/tmqueryCtl/doPost", obj).then(function (d) {
                    loadingbyc.close();
                    that.querydata = d.data.rows;
                    that.sqlbdata = d.data.code_counts;
                    that.flztdata = d.data.status_counts;
                    that.sqnfdata = d.data.year_counts;
                    that.namedata = d.data.namecounts;
                    that.logo = d.data.rows.logo;
                    that.total = d.data.count;
                    if (that.c3) {
                        console.log("+++++++++++++++++++++++++++++++++++++++");
                        console.log(that.querydata);
                        if (that.querydata.length > 0) {
                            that.handle2(that.querydata[0]);
                        } else {
                            that.detaildata = "";
                        }
                    }
                }).catch(function (e) {
                    that.$message.warning(`操作失败，请刷新页面后重新操作`);
                });
            }
        }
    ,
        getTmFlowInfo(row)
        {
            var that = this;
            this.$root.postReq("/web/trademark/tmqueryCtl/getTmFlowByRegNum", { "regNum": row.sbzch }).then(function (d) {
                if (d != null) {
                    that.tmdata["lcxx"] = d;
                    console.log(d);
                }
            });
        }
    ,
        detailclick: function (row) {
            var that = this;
            var options = {
                regNum: row.sbzch
            };
            console.log(options);
            that.$root.postReq("/web/trademark/tmqueryCtl/getTmFlowByRegNum", options).then(function (d) {
                row.lcxx = d;
                that.tmdata = row;
                that.getTmFlowInfo(row);
                that.tmdata.sblx = row.sblx;
                that.tmdata.sbzt = row.sbzt;
                that.dialogFormVisible = true;
            }).catch(function (e) {
                console.log(e);
                that.$message.warning(`操作失败，请刷新页面后重新操作`);
            });
        }
    ,
        trademarkdetailclick(row)
        {
            console.log(row);
            var localurl = location.href;
            console.log(localurl);
            var base = localurl.split("bycquerytm");
            var url = base[0] + "bycdetailtm?sbzch=" + row.sbzch + "&gjfl=" + row.gjfl;
            console.log(base);
            console.log(url);
            window.open(url);
        }
    ,
        trademarknoticeclick()
        {
            /*
            var localurl = location.href;
            console.log(localurl);
            var url = base[0] + "/jdbycnoticetm";
            console.log(base);
            console.log(url);
            
            var base = localurl.split("jdbycnoticetm");
            window.open(url);
             */
            let routeData = this.$router.resolve({
                path: "/jd/jdbycnoticetm",
                query: {
                    name: 'lei',
                    age: 18,
                    phoneNum: 12345678901
                }
            });
            window.open(routeData.href, '_blank');

        }
    ,
        byctmmonitlick()
        {
            var localurl = location.href;
            console.log(localurl);
            var base = localurl.split("bytmmonit");
            var url = base[0] + "bytmmonit?tmmonit";
            console.log(base);
            console.log(url);
            window.open(url);
        }
    ,
        bycncldetailclick()
        {
            var localurl = location.href;
            console.log(localurl);
            var base = localurl.split("bycquerytm");
            var url = base[0] + "bycncldetail";
            console.log(base);
            console.log(url);
            window.open(url);
        }
    ,
        bycindexclick()
        {
            console.log("/////////////////////////////////////////////");
            var localurl = location.href;
            console.log(localurl);
            window.location.reload();
        }
    ,
        handleCurrentChange1(val)
        {
            this.page = val;
            console.log(`当前 ${val} 页`);
            if (this.activeName == "first") {
                this.xssbsearch();
            }
            if (this.activeName == "second") {
                this.jqcxsearch();
            }
            if (this.activeName == "third") {
                this.zchsearch();
            }
            if (this.activeName == "fourth") {
                this.zcrsearch();
            }
            if (this.activeName == "six") {
                this.nclFuwusearch();
            }
        }
    ,
        handleCurrentChange(val)
        {
            this.page = val;
            console.log(`当前 ${val} 页`);
            if (this.activeName == "first") {
                this.xssbsearch();
            }
            if (this.activeName == "second") {
                this.jqcxsearch();
            }
            if (this.activeName == "third") {
                this.zchsearch();
            }
            if (this.activeName == "fourth") {
                this.zcrsearch();
            }
            if (this.activeName == "six") {
                this.nclFuwusearch();
            }
        }
    ,
        handleSizeChange(val)
        {
            this.size = val;
            console.log(`每页 ${val} 条`);
            if (this.activeName == "second") {
                this.jqcxsearch();
            }
            if (this.activeName == "third") {
                this.zchsearch();
            }
            if (this.activeName == "fourth") {
                this.zcrsearch();
            }
            if (this.activeName == "first") {
                this.xssbsearch();
            }
            if (this.activeName == "six") {
                this.nclFuwusearch();
            }
        }
    ,
        mousecheckClick()
        {
            this.fff = true;
        }
    ,
        nonemousecheckClick()
        {
            this.fff = false;
        }
    ,
        handleCheckAllNumChange(val)
        {
            console.log(val);
            this.checkedNclNum = val ? this.nclOptionNumbers : [];
            console.log(this.checkedNclNum);
            this.isnumIndeterminate = false;
        }
    ,
        handleCheckedNclNumChange(value)
        {
            console.log(value);
            let checkedCountNcl = value.length;
            this.checkAllNclNum = checkedCountNcl === this.nclNum.length;
            this.isnumIndeterminate = checkedCountNcl > 0 && checkedCountNcl < this.nclNum.length;
        }
    ,

        handleCheckAllChange(val)
        {
            console.log(val);
            this.checkedNcl = val ? this.nclOptions : [];
            console.log(this.checkedNcl);
            this.isIndeterminate = false;
        }
    ,
        handleCheckedNclChange(value)
        {
            console.log(value);
            let checkedCount = value.length;
            this.checkAll = checkedCount === this.ncl.length;
            this.isIndeterminate = checkedCount > 0 && checkedCount < this.ncl.length;
        }
    ,
        checkClick()
        {
            console.log("lllllllllllllllllllllllllllllllllllllllllllllllllllllllllllllll");
            console.log(this.fkey);
            if (this.fkey == 0) {
                this.f = true;
                this.fkey = 1;
            } else {
                this.f = false;
                this.fkey = 0;
                this.checkedNcl = [];
                this.checkAll = false;
                this.isIndeterminate = false;
            }
        }
    ,
        /*已选下拉列表*/
        staySelectedDropDownList()
        {
            this.x = true;
            this.xkey = 1;
        }
    ,
        noneSelectedDropDownList()
        {
            this.x = false;
            this.xkey = 0;
        }
    ,
        /*已选条件*/
        handleCheckAllChange02(val)
        {
            console.log(val);
            this.checkedXcl = val ? this.xclOptions : [];
            console.log(this.checkedXcl);
            this.isXIndeterminate = false;
        }
    ,
        handleCheckedXclChange(val)
        {
            let checkedCount = val.length;
            this.checkxAll = checkedCount === this.xcl.length;
            this.isXIndeterminate = checkedCount > 0 && checkedCount < this.xcl.length;
        }
    ,
        handleCheckAllChangeSbtj(val)
        {
            console.log("=====================================");
            console.log(val);
            this.checkedSbtj = val ? this.sbtjOptions : [];
            console.log(this.checkedSbtj);
            this.isIndeterminateSbtj = false;
            if (val) {
                this.xssbsearch();
            }
        }
    ,
        handleCheckedChangeSbtj(value)
        {
            console.log("-------------------------------------");
            console.log(value);
            let checkedSbtjCount = value.length;
            this.checkAllSbtj = checkedSbtjCount === this.sbtj.length;
            this.isIndeterminateSbtj = checkedSbtjCount > 0 && checkedSbtjCount < this.sbtj.length;
            console.log(this.checkedSbtj);
            this.size = 20;
            this.page = 1;
            this.xssbsearch();
        }
    ,
        defaultsortclick()
        {
            console.log(this.defaultsort);
            this.defaultsort = true;
            this.sblxsort = false;
            this.sqnfsort = false;
            if (this.activeName == "first") {
                console.log("sqnfsort");
            }
            if (this.activeName == "second") {

            }
            if (this.activeName == "fourth") {

            }
        }
    ,
        sblxsortclick()
        {
            console.log(this.sblxsort);
            this.defaultsort = false;
            this.sblxsort = true;
            this.sqnfsort = false;
            if (this.activeName == "first") {
                console.log("sqnfsort");
            }
            if (this.activeName == "second") {

            }
            if (this.activeName == "fourth") {

            }
        }
    ,
        sqnfsortclick()
        {
            console.log(this.sqnfsort);
            this.defaultsort = false;
            this.sblxsort = false;
            this.sqnfsort = true;
            if (this.activeName == "first") {
                console.log("sqnfsort");
            }
            if (this.activeName == "second") {

            }
            if (this.activeName == "fourth") {

            }
        }
    ,
        onExceed(files, fileList)
        {
            this.$message.warning(`只能选择一张图片`);
        }
    ,
        beforeUpload(file)
        {
            if (file.type != "image/jpeg" && file.type != "image/png") {
                this.$message.warning(`请上传jpg文件`);
                return false;
            }
            if (file.size > 3145728) {
                this.$message.warning(`文件不能超过3072kb`);
                return false;
            }
            var myDate = new Date();
            var key = "zc_imagequery" + Math.round(Math.random() * 500) + myDate.getMonth() + myDate.getTime() + myDate.getFullYear() + myDate.getDate() + myDate.getHours() + myDate.getMinutes() + myDate.getSeconds() + myDate.getMilliseconds() + file.name;
            this.imagedata.key = key;
            this.tag.name = file.name;
        }
    ,
        success(response, file, fileList)
        {
            var xml = this.loadXML(response);
            this.imageUrl = xml.documentElement.getElementsByTagName("Location")[0].textContent;
            this.disabled = false;
            this.downdisabled = true;
        }
    ,
        remove(file, fileList)
        {
            this.disabled = true;
            this.downdisabled = true;
        }
    ,
        error(err, file, fileList)
        {
            console.log("error");
            console.log(err);
        }
    ,
        progress(event, file, fileList)
        {
            console.log("progress");
        }
    ,
        preview(file)
        {
            if (this.imageUrl != "" && this.imageUrl != undefined) {
                window.open(file.url, "_blank");
            }
        }
    ,
        loadXML(xmlString)
        {
            var xmlDoc = null;
            if (!window.DOMParser && window.ActiveXObject) {
                var xmlDomVersions = ['MSXML.2.DOMDocument.6.0', 'MSXML.2.DOMDocument.3.0', 'Microsoft.XMLDOM'];
                for (var i = 0; i < xmlDomVersions.length; i++) {
                    try {
                        xmlDoc = new ActiveXObject(xmlDomVersions[i]);
                        xmlDoc.async = false;
                        xmlDoc.loadXML(xmlString);
                        break;
                    } catch (e) {
                    }
                }
            }
            else if (window.DOMParser && document.implementation && document.implementation.createDocument) {
                try {
                    domParser = new DOMParser();
                    xmlDoc = domParser.parseFromString(xmlString, 'text/xml');
                } catch (e) {
                }
            }
            else {
                return null;
            }
            return xmlDoc;
        }
    ,
        closeTag(tag)
        {
            this.imageUrl = "";
            this.clearUploadedImage();
        }
    ,
        clearUploadedImage()
        {
            this.$refs.imageupload.clearFiles();
        }
    ,
        pageChanged(ps, cp)
        {
            if (this.sqlbtabkey == "" && this.flzttabkey == "" && this.sqnftabkey == "") {
                this.$refs.flowlayout.$refs.pagerRef.pageInfo.total = this.imagecount;
            }

            this.$refs.flowlayout.$refs.pagerRef.pageInfo.currentPage = cp;
            this.$refs.flowlayout.$refs.pagerRef.pageInfo.pageSize = ps;
            var obj = {
                tmRegistNumsAll: this.tmRegistNumsAll,
                sqlbtabkey: this.sqlbtabkey,
                flzttabkey: this.flzttabkey,
                sqnftabkey: this.sqnftabkey,
                xcl: this.checkedXcl,
                pageInfo: {
                    pageSize: ps,
                    pageNo: cp
                }
            };
            var that = this;
            console.log(obj);
            const loadingbyc = this.$loading({
                lock: true,
                text: 'Loading',
                spinner: 'el-icon-loading',
                background: 'rgba(255, 255, 255, 0.7)'
            });
            var obj = this.$root.copyParams(obj, "findImageSearch", "/action/tmQuery/springBoard");
            this.$root.postReq("/web/trademark/tmqueryCtl/doPost", obj).then(function (d) {
                if (d.status == 0) {
                    that.queryimagedata = d.data.rows;
                    that.logo = d.data.rows.logo;
                    that.sqlbdata = d.data.code_counts;
                    that.flztdata = d.data.status_counts;
                    that.sqnfdata = d.data.year_counts;
                    that.imagesqlbdata = d.data.code_counts;
                    that.imageflztdata = d.data.status_counts;
                    that.imagesqnfdata = d.data.year_counts;
                    that.imagecount = d.data.count;
                    loadingbyc.close();
                }
            }).catch(function (e) {
                console.log(e);
                that.$message.warning(`操作失败，请刷新页面后重新操作`);
                loadingbyc.close();
            });
        }
    ,
        imagequery()
        {
            if (this.imageUrl == "" || this.imageUrl == null) {
                this.$message.warning(`操作失败，请选择图片后重新操作`);
                return false;
            }
            this.imageupurl = this.imageUrl;
            var msg = {
                cls: "bytmqueryCtl",
                method: "imagequery",
                data: { "imageUrl": this.imageUrl }
            };
            var that = this;
            this.tmRegistNums = [];
            this.sqlbtab = "";
            this.sqlbtabkey = "";
            this.sqlbtabkeycount = "";
            this.flzttab = "";
            this.flzttabkey = "";
            this.flzttabkeycount = "";
            this.sqnftabkey = "";
            this.sqnftabkeycount = "";
            console.log(msg);
            this.checkedXcl = [];
            var obj = {
                imageUrl: this.imageUrl
            };
            const loadingbyc = this.$loading({
                lock: true,
                text: 'Loading',
                spinner: 'el-icon-loading',
                background: 'rgba(255, 255, 255, 0.7)'
            });
            var obj = this.$root.copyParams(obj, "imagequery", "/action/tmQuery/springBoard");
            console.log(obj, "bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb");
            this.$root.postReq("/web/trademark/tmqueryCtl/doPost", obj).then(function (d) {
                that.tmRegistNumsAll = d.data.rows;
                that.sqlbdata = d.data.code_counts;
                that.flztdata = d.data.status_counts;
                that.sqnfdata = d.data.year_counts;
                that.imagesqlbdata = d.data.code_counts;
                that.imageflztdata = d.data.status_counts;
                that.imagesqnfdata = d.data.year_counts;
                that.imagecount = d.data.count;
                that.pageChanged(36, 1);
            }).catch(function (e) {
                console.log(e);
                that.$message.warning(`操作失败，请刷新页面后重新操作`);
                loadingbyc.close();
            });
            this.c = false;
            this.img = true;
        }
    ,
        nclFuwusearch()
        {
            if (this.nclfuwu == "") {
                this.$message.warning("请输入要查询的服务项");
            } else {
                this.nclfuwu = this.nclfuwu.replace(/(^\s*)|(\s*$)/g, "");
                var obj =
                {
                    nclfuwu: this.nclfuwu,
                    pageSize: this.size,
                    currentPage: this.page
                };
                var that = this;
                const loadingbyc = this.$loading({
                    lock: true,
                    text: 'Loading',
                    spinner: 'el-icon-loading',
                    background: 'rgba(255, 255, 255, 0.7)'
                });
                var obj = this.$root.copyParams(obj, "nclFuwuSearch", "/action/tmQuery/springBoard");
                this.$root.postReq("/web/trademark/tmqueryCtl/doPost", obj).then(function (d) {
                    that.nclfuwudata = d.data.rows;
                    that.total = d.data.count;
                    loadingbyc.close();
                }).catch(function (e) {
                    that.$message.warning(`操作失败，请刷新页面后重新操作`);
                });
            }
        }
    ,
        showExport()
        {
            var self = this;
            var datas = self.querydata;
            if (!datas || datas.length == 0) {
                self.$message.warning(`无查询结果可导出`);
                return;
            }

            this.exportColumnDialog = true;
        }
    ,
        exportFile()
        {
            var self = this;

            var datas = self.querydata;
            if (!datas || datas.length == 0) {
                self.$message.warning(`无查询结果可导出`);
                return;
            }

            if (!self.exportColumns || self.exportColumns.length == 0) {
                self.$message.warning(`请至少选择一列`);
                return;
            }


            self.downloading = true;
            var rows = [];
            rows.push(self.exportColumns);

            for (var dd of datas) {
                var arr = [];
                for (var h of self.exportColumns) {
                    var _v = self.headers[h] || "";
                    arr.push(dd[_v] || "---");
                }
                rows.push(arr);
            }

            this.code = "";
            /* 生成文件*/
            self.$root.postReq("/web/trademark/tmqueryCtl/download", { rows: rows }).then(function (d) {
                if (d.status == 0) {
                    setTimeout((function () {
                        self.code = d.data;
                        self.downloadFile();
                    }), 2000);
                }
            });
        }
    ,
        /* 循环检查code, 并下载文件 */
        downloadFile()
        {
            var self = this;
            self.$root.postReq("/web/trademark/tmqueryCtl/bycode", { code: self.code }).then(function (d) {
                if (d.status == 0) {
                    if (d.data && d.data.filePath) {
                        self.downloadTimes = 1;
                        /* 文件生成成功 */
                        self.downloading = false;
                        self.exportColumnDialog = false;
                        window.location.href = d.data.filePath;
                    } else {
                        /* 递归2秒一次,超过5次,下载失败 */
                        if (self.downloadTimes > 5) {
                            self.downloadTimes = 1;
                            /* 下载超时 */
                            self.downloading = false;
                            return;
                        }
                        self.downloadTimes = self.downloadTimes + 1;
                        setTimeout((function () {
                            self.downloadFile();
                        }), 2000);
                    }
                }
            });
        }
    ,
        querySearch(queryString, cb)
        {
            var restaurants = this.restaurants;
            var results = queryString ? restaurants.filter(this.createFilter(queryString)) : restaurants;
            cb(results);
        }
    ,
        createFilter(queryString)
        {
            return (restaurant) => {
                return (restaurant.value.toLowerCase().indexOf(queryString.toLowerCase()) === 0);
            };
        }
    ,
        loadAll()
        {
            return [
                { "value": "萌颜" },
                { "value": "公司宝" },
                { "value": "王栋源" },
                { "value": "信息中心" }
            ];
        }
    ,
        handleSelect(item)
        {
            console.log(item);
        }
    ,
        nclFuwusearchClick()
        {
            if (this.nclfuwu == "") {
                this.$message.warning("请输入要查询的服务项");
            } else {
                this.nclfuwu = this.nclfuwu.replace(/(^\s*)|(\s*$)/g, "");
                var obj =
                {
                    nclfuwu: this.nclfuwu,
                    pageSize: 20,
                    currentPage: 1
                };
                var that = this;
                this.size = 20;
                this.page = 1;
                const loadingbyc = this.$loading({
                    lock: true,
                    text: 'Loading',
                    spinner: 'el-icon-loading',
                    background: 'rgba(255, 255, 255, 0.7)'
                });
                var obj = this.$root.copyParams(obj, "nclFuwuSearch", "/action/tmQuery/springBoard");
                this.$root.postReq("/web/trademark/tmqueryCtl/doPost", obj).then(function (d) {
                    that.nclfuwudata = d.data.rows;
                    that.total = d.data.count;
                    loadingbyc.close();
                }).catch(function (e) {
                    that.$message.warning(`操作失败，请刷新页面后重新操作`);
                });
            }
        }
    ,
        handle1(row, event, column)
        {
            console.log(row, event, column);
            this.trademarkdetailclick(row);
        }
    ,
        handle2(row, event, column)
        {
            console.log("================================");
            console.log(row.gjfl);
            var obj = {
                sbzch: row.sbzch,
                gjfl: row.gjfl
            };
            var that = this;
            const loadingbyc = this.$loading({
                lock: true,
                text: 'Loading',
                spinner: 'el-icon-loading',
                background: 'rgba(255, 255, 255, 0.7)'
            });
            var obj = this.$root.copyParams(obj, "tradeMarkDetail", "/action/tmQuery/springBoard");
            this.$root.postReq("/web/trademark/tmqueryCtl/doPost", obj).then(function (d) {
                console.log(d);
                that.detaildata = d.data.detaildata[0];
                that.nclexist = d.data.nclexist;
                that.nclnotexist = d.data.nclnotexist;
                console.log(that.detaildata);
                loadingbyc.close();
            }).catch(function (e) {
                that.$message.warning(`操作失败，请刷新页面后重新操作`);
            });
        }
    ,
        ncltwocodeclick()
        {
            if (this.activeName == "first") {
                console.log("fffffffffffffffffffffffffffffffffffffff");
                console.log(this.checkedXcl);
                this.size = 20;
                this.page = 1;
                this.xssbsearch();
            }
            if (this.activeName == "second") {
                console.log("ssssssssssssssssssssssssssssssssssssssssssssss");
                console.log(this.checkedXcl);
                this.size = 20;
                this.page = 1;
                this.jqcxsearch();
            }
            if (this.activeName == "third") {
                this.size = 20;
                this.page = 1;
                this.zchsearch();
            }
            if (this.activeName == "fourth") {
                this.size = 20;
                this.page = 1;
                this.zcrsearch();
            }
            if (this.activeName == "five") {
                this.pageChanged(36, 1);
            }

        }
    ,
        intelligentassessClick()
        {
            this.aitmrate = true;
            var self = this;
            if (self.mark == null || self.mark == "") {
                return false;
            }
            for (var i = 1; i < 46; i++) {
                self.ainclonerate = [];
                var obj = { tmName: self.mark, nclonecode: i };
                self.$root.postReq("/web/trademark/tmqueryCtl/aibynclone", obj).then(function (d) {
                    var bradata = {
                        tooltip: {
                            formatter: "{a} <br/>{b} : {c}%"
                        },
                        toolbox: {
                            feature: {
                                restore: {},
                                saveAsImage: {}
                            }
                        },
                        series: [
                            {
                                name: '第' + i + '大类',
                                type: 'gauge',
                                detail: { formatter: '{value}%' },
                                data: [{ value: d.data.data.data, name: '通过率' }]
                            }
                        ]
                    };
                    self.ainclonerate.push(bradata);
                });
            }
        }
    ,
        styleset(obj)
        {
            var num = obj;
            if (this.sqlbnumber == num.toString()) {
                return { color: "#0989c5" };
            } else {
                return { color: '#666666', background: "none" };
            }
        }
    ,
        stylesetflzt(obj)
        {
            var num = obj;
            if (this.flztnumber == num.toString()) {
                return { color: "#0989c5" };
            } else {
                return { color: '#666666', background: "none" };
            }
        }
    ,
        stylesetsqnf(obj)
        {
            var num = obj;
            if (this.sqnfnumber == num.toString()) {
                return { color: "#0989c5" };
            } else {
                return { color: '#666666', background: "none" };
            }
        },
        stylesetname(obj)
        {
            var num = obj;
            if (this.namenumber == num.toString()) {
                return { color: "#0989c5" };
            } else {
                return { color: '#666666', background: "none" };
            }
        },
        redissbmc(user)
        {
            this.mark = this.mark.replace(/(^\s*)|(\s*$)/g, "");
            var obj = {
                user: user,
                mark: this.mark
            };
            var that = this;
            this.$root.postReq("/web/trademark/tmqueryCtl/rediscache", obj).then(function (d) {
                console.log("++++++++++++++++++++++++++++++redis+++++++++++++++++++++++++++++++++++++");
                if (d.status == 0) {
                    console.log(d);
                    that.restaurants = d.data.redislist;
                }
            }).catch(function (e) {
                console.log("redis==================================");
                that.$message.warning(`操作失败，请刷新页面后重新操作`);
            });
        }
    ,
        noticecsggClick(row)
        {
            console.log("--------------------------");
            console.log(row);
            var obj = {
                sbzch: row.sbzch,
                csggqh: row.csgg
            };
            var that = this;
            var obj = this.$root.copyParams(obj, "noticesearch", "/action/tmQuery/springBoard");
            this.$root.postReq("/web/trademark/tmqueryCtl/doPost", obj).then(function (d) {
                if (d.status == 0) {
                    console.log(d);
                    that.sbmc = d.data.sbmc;
                    that.linkurl = d.data.linkurl;
                    console.log(that.sbmc);
                    if (that.sbmc != "" && that.linkurl != "") {
                        that.dialogTableVisible = true;
                        that.rowName = that.sbmc;
                        that.rowLinkUrl = that.linkurl;
                        var localurl = location.href;
                        console.log(localurl);
                        var base = localurl.split("bycquerytm");
                        var url = base[0] + "bycnoticedetailtm?name=" + that.sbmc + "&imgurl=" + that.linkurl;
                        console.log(base);
                        console.log(url);
                        /*window.open(url);*/
                    }
                }
            });
        }
    ,
        noticezcggClick(row)
        {
            console.log("--------------------------g");
            console.log(row);
            var obj = {
                sbzch: row.sbzch,
                zcggqh: row.zcgg
            };
            var that = this;
            var obj = this.$root.copyParams(obj, "noticezcggsearch", "/action/tmQuery/springBoard");
            this.$root.postReq("/web/trademark/tmqueryCtl/doPost", obj).then(function (d) {
                if (d.status == 0) {
                    console.log(d);
                    that.sbmc = d.data.sbmc;
                    that.linkurl = d.data.linkurl;
                    console.log(that.sbmc);
                    if (that.sbmc != "" && that.linkurl != "") {
                        that.dialogTableVisible = true;
                        that.rowName = that.sbmc;
                        that.rowLinkUrl = that.linkurl;
                        var localurl = location.href;
                        console.log(localurl);
                        var base = localurl.split("bycquerytm");
                        var url = base[0] + "bycnoticedetailtm?name=" + that.sbmc + "&imgurl=" + that.linkurl;
                        console.log(base);
                        console.log(url);
                        /*window.open(url);*/
                    }
                }
            });
        },
        lcxxdetailClick(row){
            this.dialogTableVisible = true;
            this.rowName = row.name;
            this.rowLinkUrl = row.link_url;
            console.log("--------------------------");
            console.log(row.name);
            console.log(row.link_url);
            var localurl = location.href;
            console.log(localurl);
            var base = localurl.split("bycquerytm");
            var url = base[0] + "bycnoticedetailtm?name=" + row.name + "&imgurl=" + row.link_url;
            console.log(base);
            console.log(url);
            /*window.open(url);*/
        },
        /*商标详情弹出框*/
        mask(name){
            var obj = {
                company_name: name
            };
            var that = this;
            const loading = this.$loading({
                lock: true,
                text: 'Loading',
                spinner: 'el-icon-loading',
                background: 'rgba(255, 255, 255, 0.7)'
            });
            console.log(name);
            var obj = this.$root.copyParams(obj, "getCompanyInfoNoUser", "/action/tmQuery/springBoard");
            that.$root.postReq("/web/trademark/tmqueryCtl/doPost", obj).then(function (d) {
                loading.close();
                console.log(d,"ccccccccccccccccccccccccccccccc");
                if (d.status == 0) {
                    if (d.data) {
                        that.companyInfo = d.data;
                        that.showMask = true;
                    } else {
                        that.companyInfo = { "name": "" };
                        that.companyInfo.name = name;
                        that.showMask = true;
                    }
                }
            }).catch(function (e) {
            });

        },
        maskclose(){
            this.showMask = false;
        },
        /*submitError(e){
          console.log("submitError");
          console.log(e);
        },
        submitSuccess(d,name){
          console.log("submitSuccess");
          console.log(d);
          console.log(name);
          this.imageUrl = d;
          this.tag.name = name;
        },*/
        localstoragesb(mk){
            var storage = window.localStorage;
            var list = [];
            var key = "byc_mark";
            var mark = mk;
            var tbDataList = storage.getItem("byc_mark");
            if (tbDataList && tbDataList != null && tbDataList != "null") {
                list = JSON.parse(tbDataList);
                if (mark != "" && mark != null) {
                    if (list.length < 10) {
                        var delIndex = list.findIndex(v => v.value === mark);
                        if (delIndex < 0) {
                            list.push({ value: mark });
                        }
                    } else {
                        var delIndex = list.findIndex(v => v.value === mark);
                        if (delIndex < 0) {
                            list.splice(0, 1);
                            list.push({ value: mark });
                        }
                    }
                }
            } else {
                if (mark != "" && mark != null) {
                    var m = {
                        value: mark
                    };
                    list.push(m);
                }
            }
            var stringStr = JSON.stringify(list);
            storage.setItem(key, stringStr);
        },
        /*复制“已注册群组”*/
        copyLink(){
            var oInput = document.createElement('input');
            var copytext = "";
            for (var i = 0; i < this.nclexist.length; i++) {
                if (copytext.length != 0) {
                    copytext = copytext + "，" + this.nclexist[i].small_name;
                } else {
                    copytext = this.nclexist[i].small_name;
                }
            }
            oInput.value = copytext;
            document.body.appendChild(oInput);
            oInput.select();
            document.execCommand("Copy");
            oInput.className = 'oInput';
            oInput.style.display = 'none';
            this.$message({
                type: 'success',
                message: '复制成功'
            });
        },
        changeImg: function() {
            this.option.img = this.lists[~~(Math.random() * this.lists.length)].img
        },
        startCrop: function() {
            this.crap = true;
            this.$refs.cropper.startCrop();
        },
        stopCrop: function() {
            this.crap = false;
            this.$refs.cropper.stopCrop();
        },
        clearCrop: function() {
            this.$refs.cropper.clearCrop();
        },
        refreshCrop: function() {
            this.$refs.cropper.refresh();
        },
        changeScale: function(num) {
            num = num || 1;
            this.$refs.cropper.changeScale(num);
        },
        rotateLeft: function() {
            this.$refs.cropper.rotateLeft();
        },
        rotateRight: function() {
            this.$refs.cropper.rotateRight();
        },
        finish: function(type) {
            if (type == 'blob') {
                this.$refs.cropper.getCropBlob((data) => {
                    console.log(data);
                    var img = window.URL.createObjectURL(data);
                    this.model = true;
                    this.modelSrc = img;
                })
            } else {
                this.$refs.cropper.getCropData((data) => {
                    this.model = true;
                    this.modelSrc = data;
                })
            }
        },
        realTime: function(data) {
            this.previews = data;
            console.log(data);
        },
        finish2: function(type) {
            this.$refs.cropper2.getCropData((data) => {
                this.model = true;
                this.modelSrc = data;
            })
        },
        finish3: function(type) {
            this.$refs.cropper3.getCropData((data) => {
                this.model = true;
                this.modelSrc = data;
            })
        },
        down: function(type) {
            var aLink = document.createElement('a');
            aLink.download = 'demo';
            if (type === '2') {
                this.$refs.cropper.getCropBlob((data) => {
                    this.downImg = window.URL.createObjectURL(data);
                    aLink.href = window.URL.createObjectURL(data);
                    aLink.click();
                })
            } else {
                this.$refs.cropper.getCropData((data) => {
                    console.log(data);
                    this.downImg = data;
                    aLink.href = data;
                    aLink.click();
                })
            }
        },
        uploadImg: function(e, num) {
            console.log("++++++++133333+++++++++++++");
            var file = e.target.files[0];
            if (!/\.(gif|jpg|jpeg|png|bmp|GIF|JPG|PNG)$/.test(e.target.value)) {
                alert('图片类型必须是.gif,jpeg,jpg,png,bmp中的一种');
                return false;
            }
            $('#wave-container').css('display', 'none');
            console.log("file");
            console.log(file);
            console.log(e);
            this.picName = file.name;
            var reader = new FileReader();
            var that = this;
            reader.onload = (e) => {
                var data = null;
                if (typeof e.target.result === 'object') {
                    data = window.URL.createObjectURL(new Blob([e.target.result]));
                } else {
                    data = e.target.result;
                }
                if (num == 1) {
                    this.option.img = data;
                } else if (num == 2) {
                    this.example2.img = data;
                }

                var image = new Image();
                image.src = data;
                image.onload = function () {
                    that.option.autoCropWidth = image.width;
                    that.option.autoCropHeight = image.height;
                    console.log("+++++++++++++++++++++++++");
                    console.log(that.option.autoCropWidth, that.option.autoCropHeight);
                };
            };
            reader.readAsArrayBuffer(file);
            this.show = true;
            var _input = $('#uploads');
            _input.val('');
        },
        imgLoad: function(msg) {
            console.log("imgLoad");
            console.log(msg);
        },
        submit: function() {
            var aLink = document.createElement('a');
            var that = this;
            aLink.download = 'demo';
            console.log(this.$refs, "xxxxxxxxxxxxxxxxxx");
            this.$refs.cropper.getCropData((data) => {
                var imgObj = { base64: data };
                var obj = this.$root.copyParams(imgObj, "getCropperPic", "/action/tmQuery/springBoard");
                this.$root.postReq("/web/trademark/tmqueryCtl/doPost", obj).then(function (d) {
                    console.log("dddddddddddddgetCropperPic");
                    console.log(d);
                    that.show = false;
                    if (d) {
                        that.imageUrl = d;
                        that.tag.name = that.picName;
                        console.log("dddddddddddddgetCropperPic",imageUrl,"mmmmmmmmmmmmmmmmmmmmmmmm");

                        that.imagequery();
                    }
                }).catch(function (e) {
                    console.log(e);
                });
            });
            if (this.activeName == "five") {
                this.a = false;
                this.b = true;
                this.e = true;
                this.d = true;
                this.g = false;
                this.h = false;
                this.img = true;
                this.c = false;
                this.c2 = false;
                this.c3 = false;
                this.x = false;
                this.fuwu = false;
                this.zcr_no_ncl = false;
                this.jqcx_no_ncl = false;
                this.xssb_no_ncl = false;
                this.sqlbtab = "";
                this.flzttab = "";
                this.sqnftabkey = "";
                if (this.tmRegistNumsAll.length > 0) {
                    this.sqlbdata = this.imagesqlbdata;
                    this.flztdata = this.imageflztdata;
                    this.sqnfdata = this.imagesqnfdata;
                } else {
                    this.sqlbdata = [];
                    this.flztdata = [];
                    this.sqnfdata = [];
                }
            } else {
                this.activeName = "five";
                this.a = false;
                this.b = true;
                this.e = true;
                this.d = true;
                this.g = false;
                this.h = false;
                this.img = true;
                this.c = false;
                this.c2 = false;
                this.c3 = false;
                this.x = false;
                this.fuwu = false;
                this.zcr_no_ncl = false;
                this.jqcx_no_ncl = false;
                this.xssb_no_ncl = false;
                this.sqlbtab = "";
                this.flzttab = "";
                this.sqnftabkey = "";
                if (this.tmRegistNumsAll.length > 0) {
                    this.sqlbdata = this.imagesqlbdata;
                    this.flztdata = this.imageflztdata;
                    this.sqnfdata = this.imagesqnfdata;
                } else {
                    this.sqlbdata = [];
                    this.flztdata = [];
                    this.sqnfdata = [];
                }
            }

        },
        /*submitSuccess1:function(d){
          this.$emit("submitSuccess",d,this.picName);
          var _input = $('#uploads');
          _input.val('');
          this.show=false;
        },
        submitError1:function(e){
          this.$emit("submitError",e);
        },*/
        hideCropper: function() {
            var _input = $('#uploads');
            _input.val('');
            this.show = false;
            this.option.img = "";
        },
        sbzcclick(){
            var localurl = location.href;
            console.log(localurl);
            var base = localurl.split("bycquerytm");
            var url = base[0] + "/selftmreg?itemCode=zzsbzc";
            console.log(base);
            console.log(url);
            window.open(url);
        }
    },
    mounted: function () {

        $('#wave-container').hover(function () {
            console.log('.....');
            $("#wave-container").addClass("animate-wave-container-hover");
        }, function () {
            $("#wave-container").removeClass("animate-wave-container-hover");
        });
        var that = this;
        this.$root.getReq("/web/trademark/tmqueryCtl/getOssConfig", "").then(function (d) {
            that.imagedata["key"] = "key";
            that.imagedata["Bucket"] = d.Bucket;
            that.imagedata["OSSAccessKeyId"] = d.OSSAccessKeyId;
            that.imagedata["Signature"] = d.Signature;
            that.imagedata["policy"] = d.policy;
            that.imagedata["success_action_status"] = d.success_action_status;
            that.action = d.url;
        });
        this.headers = [];
        this.headers["商标名称"] = "sbmc";
        this.headers["申请号"] = "sbzch";
        this.headers["国家分类"] = "gjflname";
        this.headers["注册状态"] = "sbzt";
        this.headers["申请日期"] = "sqrq";
        this.headers["初审日期"] = "csrq";
        this.headers["注册日期"] = "zcrq";
        this.headers["申请人"] = "zcr";
        this.headers["申请人地址"] = "zcdz";
        this.headers["代理机构"] = "dljg";
        this.headers["注册群组"] = "sbqz";
        this.headers["商品/服务项"] = "spfwxm";


        for (var key in this.headers) {
            var v = this.headers[key];
            var isDisabled = v == 'sbmc' || v == 'sbzch' || v == 'gjflname';
            this.allColumns.push({ name: key, isDisabled: isDisabled });
            this.exportColumns.push(key);
        }

        console.log(this.allColumns, '-----------------this.allColumns------------------------');
        var storage = window.localStorage;
        var list = [];
        var key = "byc_mark";
        var tbDataList = storage.getItem("byc_mark");
        if (tbDataList) {
            var stringStr = JSON.parse(tbDataList);
            this.restaurants = stringStr.reverse();
        }
        this.tminput = this.$router.history.current.query.tminput;
        if (this.tminput || this.tmmonitzcr) {
            $('#wave-container').css('display', 'none');
        }
        var obj = this.$root.copyParams(obj, "sbzuixinsearch", "/action/tmQuery/springBoard");
        this.$root.postReq("/web/trademark/tmqueryCtl/doPost", obj).then(function (d) {
            console.log(d, "/////////////////////////////");
            if (d.status == 0) {
                that.zuixinshouli = d.data.zuixinshouli;
                that.zuixinchushen = d.data.zuixinchushen;
                that.zuixinxiazheng = d.data.zuixinxiazheng;
            }
        }).catch(function (e) {
            that.$message.warning(`操作失败，请刷新页面后重新操作`);
        });


    }
,
    vname: "gsb-jdbycquerytm"
}
